Subject: [PWE3] Proposal of using GAL for PW

From: Larry <[email-masked]>
Date: Wed, 30 Jun 2010 17:37:40 +0800 (CST)

Dear all:

    In section 4.2 in RFC5586, it is defined that GAL MUST NOT be used with PWs in MPLS-TP. The PWE3 control word [RFC4385] MUST be present when the ACH is used to realize the associated control channel.
    In real application, a lot of MPLS and MPLS-TP equipments do not support control word. It is proposed to use the GAL to identify associated control channel in PW layer.

Best regards,

                Han Li

********************************************************************
Han Li, Ph.D 
China Mobile Research Institute
Unit 2, 28 Xuanwumenxi Ave, Xuanwu District, Beijing 100053, China 
Fax: +86 10 63601087 
MOBILE: 13501093385 
********************************************************************

---

From: "HUANG Feng F" <[email-masked]>
Date: Wed, 30 Jun 2010 18:34:43 +0800

it is reasonable to support GAL in MPLS-TP PW OAM, it is more generic, because CW is an option RFC4448 for Ethernet over MPLS. 

4.6.  The Control Word

xxxx

The features that the control word provides may not be needed for a
   given Ethernet PW.  For example, ECMP may not be present or active on
   a given MPLS network, strict frame sequencing may not be required,
   etc.  If this is the case, the control word provides little value and
   is therefore optional.  Early Ethernet PW implementations have been
   deployed that do not include a control word or the ability to process
   one if present.  To aid in backwards compatibility, future
   implementations MUST be able to send and receive frames without the
   control word present.
xxxx

B.R.
Feng Huang

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Larry
Sent: 2010年6月30日 17:38
To: [email-masked]; [email-masked]
Cc: [email-masked]
Subject: [PWE3] Proposal of using GAL for PW

Dear all:

Best regards,

                Han Li

      
_______________________________________________
pwe3 mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pwe3

---

From: "Andrew G. Malis" <[email-masked]>
Date: Wed, 30 Jun 2010 12:27:23 -0400

Larry and Feng,

This issue has previously been discussed at length by the working
group, both at the Anaheim meeting and by email, for example in emails
with the subject line "Possible Contradiction re use of GAL in
pwe3-static-pw-status". There was rough consensus that for MPLS-TP
applications and/or when PW OAM is desired, PW implementations are
mature enough (it has been 10 years now, after all) that the time has
come to require the implementation of the CW for all PWs, including
Ethernet.

Cheers,
Andy

---

From: Luca Martini <[email-masked]>
Date: Wed, 30 Jun 2010 21:22:48 -0600

Andy,

I have to disagree that there was any consensus about this issue.
If anything , there was consensus that there is no written statement
that we must to use the CW in MPLS-TP.

At the end we needed more input from service providers that have
deployed PWs. The point is not whether there is hardware support for the
CW, but whether we even want to use it in many cases where it adds
absolutely no value. For example ATM PWs in cell mode , where it add
almost 10% overhead with no benefit. Another case where the CW is not
useful is the ethernet PW without network link load balancing, where we
add 4 bytes to every packet just to occasionally send a status , or OAM
message.

I would like to propose update the rfc5586 to allow the use of the GAL
in PWs without the CW.

This makes the use of the GAL very symmetric among PWs and MPLS-TP LSPs.
This makes it easy to process by hardware based implementations.

Luca

---

From: Greg Mirsky <[email-masked]>
Date: Wed, 30 Jun 2010 22:27:33 -0700

Dear Luca,
I do agree with your recollection of the discussion at the meeting in Anaheim.
At the same time I'll note that creating second to VCCV mechanism, by
allowing use GAL in PW, will create another set of interoperability
issues. In my view "PW should support VCCV/ACH" might be the right
formula.

Regards,
Greg

2010/6/30 Luca Martini <[email-masked]>:
> If anything , there was consensus that there is no written statement that we
> must  to use the CW in MPLS-TP.
>
> At the end we needed more input from service providers that have deployed
> PWs.  The point is not whether there is hardware support for the CW, but
> whether we even want to use it in many cases where it adds absolutely no
> value. For example ATM PWs in cell mode , where it add almost 10% overhead
> with no benefit. Another case where the CW is not useful is the ethernet PW
> without network link load balancing, where we add 4 bytes to every packet
> just to occasionally send a status , or OAM message.
>
> I would like to propose update the rfc5586 to allow the use of the GAL in
> PWs without the CW.
>
> it is reasonable to support GAL in MPLS-TP PW OAM, it is more generic,
> because CW is an option RFC4448 for Ethernet over MPLS.
>
> 4.6.  The Control Word
>
> xxxx
>
>
>     In section 4.2 in RFC5586, it is defined that GAL MUST NOT be used with
> PWs in MPLS-TP. The PWE3 control word [RFC4385] MUST be present when the ACH
> is used to realize the associated control channel.
>     In real application, a lot of MPLS and MPLS-TP equipments do not support
> control word. It is proposed to use the GAL to identify associated control
> channel in PW layer.
>
> Best regards,
>
>                 Han Li
>

---

From: Jia HE <[email-masked]>
Date: Thu, 01 Jul 2010 13:30:42 +0800

Hi Andy,

The problem is there do exist applications of PW without CW in the network. By adding GAL for PW OAM it dosen't impact the services on the wire and will align the OAM process for both LSP and PW in MPLS-TP environment.

Since MPLS-TP covers both LSP and PW, it is better to consider them together for easy implementations.

B.R.
Jia